%define upstream_name	 DBI-Shell
%define upstream_version 11.95

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	Interactive command shell for the DBI 
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/T/TL/TLOWERY/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl-IO-Tee
BuildRequires:  perl-DBI
BuildArch:	noarch


%description
The DBI::Shell module (and dbish command, if installed) provide a simple but
effective command line interface for the Perl DBI module.

DBI::Shell is very new, very experimental and very subject to change. Your
mileage will vary. Interfaces will change with each release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README ToDo
find lib -type f -exec chmod 644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README ToDo
%{_bindir}/dbish
%{_mandir}/*/*
%{perl_vendorlib}/DBI

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 11.950.0-3.mga3
+ Revision: 365061
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 11.950.0-2.mga1
+ Revision: 32736
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 11.950.0-1.mga1
+ Revision: 30044
- mageia rebuild
- imported package perl-DBI-Shell

